curl --request POST \
--url https://{host}/v1/discovery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chains": [],
"graduated": {
"filters": {
"ageMinutes": {
"max": 1,
"min": 1
},
"anchorSymbols": [
"<string>"
],
"bondingCurvePercent": {
"max": 123,
"min": 123
},
"buys": {
"max": 1,
"min": 1
},
"devHoldingPercent": {
"max": 123,
"min": 123
},
"excludeDevAddresses": [
"<string>"
],
"excludeFundingAddresses": [
"<string>"
],
"excludeSymbolOrName": [
"<string>"
],
"excludeTwitter": [
"<string>"
],
"excludeWebsites": [
"<string>"
],
"globalFeesPaidUsd": {
"max": "123.456789",
"min": "123.456789"
},
"holderCount": {
"max": 1,
"min": 1
},
"lastActivityMinutes": 1,
"liquidityUsd": {
"max": "123.456789",
"min": "123.456789"
},
"marketCapUsd": {
"max": "123.456789",
"min": "123.456789"
},
"maxGraduationStaleMinutes": 1,
"protocols": [
"<string>"
],
"sells": {
"max": 1,
"min": 1
},
"snipersSupplyPercent": {
"max": 123,
"min": 123
},
"symbolOrName": [
"<string>"
],
"top10HoldersPercent": {
"max": 123,
"min": 123
},
"twitterReuseCount": {
"max": 1,
"min": 1
},
"txns": {
"max": 1,
"min": 1
},
"volumeUsd": {
"max": "123.456789",
"min": "123.456789"
},
"withAtLeastOneSocial": true
},
"limit": 1
},
"graduating": {
"filters": {
"ageMinutes": {
"max": 1,
"min": 1
},
"anchorSymbols": [
"<string>"
],
"bondingCurvePercent": {
"max": 123,
"min": 123
},
"buys": {
"max": 1,
"min": 1
},
"devHoldingPercent": {
"max": 123,
"min": 123
},
"excludeDevAddresses": [
"<string>"
],
"excludeFundingAddresses": [
"<string>"
],
"excludeSymbolOrName": [
"<string>"
],
"excludeTwitter": [
"<string>"
],
"excludeWebsites": [
"<string>"
],
"globalFeesPaidUsd": {
"max": "123.456789",
"min": "123.456789"
},
"holderCount": {
"max": 1,
"min": 1
},
"lastActivityMinutes": 1,
"liquidityUsd": {
"max": "123.456789",
"min": "123.456789"
},
"marketCapUsd": {
"max": "123.456789",
"min": "123.456789"
},
"maxGraduationStaleMinutes": 1,
"protocols": [
"<string>"
],
"sells": {
"max": 1,
"min": 1
},
"snipersSupplyPercent": {
"max": 123,
"min": 123
},
"symbolOrName": [
"<string>"
],
"top10HoldersPercent": {
"max": 123,
"min": 123
},
"twitterReuseCount": {
"max": 1,
"min": 1
},
"txns": {
"max": 1,
"min": 1
},
"volumeUsd": {
"max": "123.456789",
"min": "123.456789"
},
"withAtLeastOneSocial": true
},
"limit": 1
},
"newPairs": {
"filters": {
"ageMinutes": {
"max": 1,
"min": 1
},
"anchorSymbols": [
"<string>"
],
"bondingCurvePercent": {
"max": 123,
"min": 123
},
"buys": {
"max": 1,
"min": 1
},
"devHoldingPercent": {
"max": 123,
"min": 123
},
"excludeDevAddresses": [
"<string>"
],
"excludeFundingAddresses": [
"<string>"
],
"excludeSymbolOrName": [
"<string>"
],
"excludeTwitter": [
"<string>"
],
"excludeWebsites": [
"<string>"
],
"globalFeesPaidUsd": {
"max": "123.456789",
"min": "123.456789"
},
"holderCount": {
"max": 1,
"min": 1
},
"lastActivityMinutes": 1,
"liquidityUsd": {
"max": "123.456789",
"min": "123.456789"
},
"marketCapUsd": {
"max": "123.456789",
"min": "123.456789"
},
"maxGraduationStaleMinutes": 1,
"protocols": [
"<string>"
],
"sells": {
"max": 1,
"min": 1
},
"snipersSupplyPercent": {
"max": 123,
"min": 123
},
"symbolOrName": [
"<string>"
],
"top10HoldersPercent": {
"max": 123,
"min": 123
},
"twitterReuseCount": {
"max": 1,
"min": 1
},
"txns": {
"max": 1,
"min": 1
},
"volumeUsd": {
"max": "123.456789",
"min": "123.456789"
},
"withAtLeastOneSocial": true
},
"limit": 1
}
}
'import requests
url = "https://{host}/v1/discovery"
payload = {
"chains": [],
"graduated": {
"filters": {
"ageMinutes": {
"max": 1,
"min": 1
},
"anchorSymbols": ["<string>"],
"bondingCurvePercent": {
"max": 123,
"min": 123
},
"buys": {
"max": 1,
"min": 1
},
"devHoldingPercent": {
"max": 123,
"min": 123
},
"excludeDevAddresses": ["<string>"],
"excludeFundingAddresses": ["<string>"],
"excludeSymbolOrName": ["<string>"],
"excludeTwitter": ["<string>"],
"excludeWebsites": ["<string>"],
"globalFeesPaidUsd": {
"max": "123.456789",
"min": "123.456789"
},
"holderCount": {
"max": 1,
"min": 1
},
"lastActivityMinutes": 1,
"liquidityUsd": {
"max": "123.456789",
"min": "123.456789"
},
"marketCapUsd": {
"max": "123.456789",
"min": "123.456789"
},
"maxGraduationStaleMinutes": 1,
"protocols": ["<string>"],
"sells": {
"max": 1,
"min": 1
},
"snipersSupplyPercent": {
"max": 123,
"min": 123
},
"symbolOrName": ["<string>"],
"top10HoldersPercent": {
"max": 123,
"min": 123
},
"twitterReuseCount": {
"max": 1,
"min": 1
},
"txns": {
"max": 1,
"min": 1
},
"volumeUsd": {
"max": "123.456789",
"min": "123.456789"
},
"withAtLeastOneSocial": True
},
"limit": 1
},
"graduating": {
"filters": {
"ageMinutes": {
"max": 1,
"min": 1
},
"anchorSymbols": ["<string>"],
"bondingCurvePercent": {
"max": 123,
"min": 123
},
"buys": {
"max": 1,
"min": 1
},
"devHoldingPercent": {
"max": 123,
"min": 123
},
"excludeDevAddresses": ["<string>"],
"excludeFundingAddresses": ["<string>"],
"excludeSymbolOrName": ["<string>"],
"excludeTwitter": ["<string>"],
"excludeWebsites": ["<string>"],
"globalFeesPaidUsd": {
"max": "123.456789",
"min": "123.456789"
},
"holderCount": {
"max": 1,
"min": 1
},
"lastActivityMinutes": 1,
"liquidityUsd": {
"max": "123.456789",
"min": "123.456789"
},
"marketCapUsd": {
"max": "123.456789",
"min": "123.456789"
},
"maxGraduationStaleMinutes": 1,
"protocols": ["<string>"],
"sells": {
"max": 1,
"min": 1
},
"snipersSupplyPercent": {
"max": 123,
"min": 123
},
"symbolOrName": ["<string>"],
"top10HoldersPercent": {
"max": 123,
"min": 123
},
"twitterReuseCount": {
"max": 1,
"min": 1
},
"txns": {
"max": 1,
"min": 1
},
"volumeUsd": {
"max": "123.456789",
"min": "123.456789"
},
"withAtLeastOneSocial": True
},
"limit": 1
},
"newPairs": {
"filters": {
"ageMinutes": {
"max": 1,
"min": 1
},
"anchorSymbols": ["<string>"],
"bondingCurvePercent": {
"max": 123,
"min": 123
},
"buys": {
"max": 1,
"min": 1
},
"devHoldingPercent": {
"max": 123,
"min": 123
},
"excludeDevAddresses": ["<string>"],
"excludeFundingAddresses": ["<string>"],
"excludeSymbolOrName": ["<string>"],
"excludeTwitter": ["<string>"],
"excludeWebsites": ["<string>"],
"globalFeesPaidUsd": {
"max": "123.456789",
"min": "123.456789"
},
"holderCount": {
"max": 1,
"min": 1
},
"lastActivityMinutes": 1,
"liquidityUsd": {
"max": "123.456789",
"min": "123.456789"
},
"marketCapUsd": {
"max": "123.456789",
"min": "123.456789"
},
"maxGraduationStaleMinutes": 1,
"protocols": ["<string>"],
"sells": {
"max": 1,
"min": 1
},
"snipersSupplyPercent": {
"max": 123,
"min": 123
},
"symbolOrName": ["<string>"],
"top10HoldersPercent": {
"max": 123,
"min": 123
},
"twitterReuseCount": {
"max": 1,
"min": 1
},
"txns": {
"max": 1,
"min": 1
},
"volumeUsd": {
"max": "123.456789",
"min": "123.456789"
},
"withAtLeastOneSocial": True
},
"limit": 1
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chains: [],
graduated: {
filters: {
ageMinutes: {max: 1, min: 1},
anchorSymbols: ['<string>'],
bondingCurvePercent: {max: 123, min: 123},
buys: {max: 1, min: 1},
devHoldingPercent: {max: 123, min: 123},
excludeDevAddresses: ['<string>'],
excludeFundingAddresses: ['<string>'],
excludeSymbolOrName: ['<string>'],
excludeTwitter: ['<string>'],
excludeWebsites: ['<string>'],
globalFeesPaidUsd: {max: '123.456789', min: '123.456789'},
holderCount: {max: 1, min: 1},
lastActivityMinutes: 1,
liquidityUsd: {max: '123.456789', min: '123.456789'},
marketCapUsd: {max: '123.456789', min: '123.456789'},
maxGraduationStaleMinutes: 1,
protocols: ['<string>'],
sells: {max: 1, min: 1},
snipersSupplyPercent: {max: 123, min: 123},
symbolOrName: ['<string>'],
top10HoldersPercent: {max: 123, min: 123},
twitterReuseCount: {max: 1, min: 1},
txns: {max: 1, min: 1},
volumeUsd: {max: '123.456789', min: '123.456789'},
withAtLeastOneSocial: true
},
limit: 1
},
graduating: {
filters: {
ageMinutes: {max: 1, min: 1},
anchorSymbols: ['<string>'],
bondingCurvePercent: {max: 123, min: 123},
buys: {max: 1, min: 1},
devHoldingPercent: {max: 123, min: 123},
excludeDevAddresses: ['<string>'],
excludeFundingAddresses: ['<string>'],
excludeSymbolOrName: ['<string>'],
excludeTwitter: ['<string>'],
excludeWebsites: ['<string>'],
globalFeesPaidUsd: {max: '123.456789', min: '123.456789'},
holderCount: {max: 1, min: 1},
lastActivityMinutes: 1,
liquidityUsd: {max: '123.456789', min: '123.456789'},
marketCapUsd: {max: '123.456789', min: '123.456789'},
maxGraduationStaleMinutes: 1,
protocols: ['<string>'],
sells: {max: 1, min: 1},
snipersSupplyPercent: {max: 123, min: 123},
symbolOrName: ['<string>'],
top10HoldersPercent: {max: 123, min: 123},
twitterReuseCount: {max: 1, min: 1},
txns: {max: 1, min: 1},
volumeUsd: {max: '123.456789', min: '123.456789'},
withAtLeastOneSocial: true
},
limit: 1
},
newPairs: {
filters: {
ageMinutes: {max: 1, min: 1},
anchorSymbols: ['<string>'],
bondingCurvePercent: {max: 123, min: 123},
buys: {max: 1, min: 1},
devHoldingPercent: {max: 123, min: 123},
excludeDevAddresses: ['<string>'],
excludeFundingAddresses: ['<string>'],
excludeSymbolOrName: ['<string>'],
excludeTwitter: ['<string>'],
excludeWebsites: ['<string>'],
globalFeesPaidUsd: {max: '123.456789', min: '123.456789'},
holderCount: {max: 1, min: 1},
lastActivityMinutes: 1,
liquidityUsd: {max: '123.456789', min: '123.456789'},
marketCapUsd: {max: '123.456789', min: '123.456789'},
maxGraduationStaleMinutes: 1,
protocols: ['<string>'],
sells: {max: 1, min: 1},
snipersSupplyPercent: {max: 123, min: 123},
symbolOrName: ['<string>'],
top10HoldersPercent: {max: 123, min: 123},
twitterReuseCount: {max: 1, min: 1},
txns: {max: 1, min: 1},
volumeUsd: {max: '123.456789', min: '123.456789'},
withAtLeastOneSocial: true
},
limit: 1
}
})
};
fetch('https://{host}/v1/discovery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"columns": [
{
"column": "newPairs",
"deltas": [
{
"address": "<string>",
"chain": "solana",
"data": {
"address": "<string>",
"ath": {
"marketCap": {
"native": "123.456789",
"usd": "123.456789"
},
"marketCapAt": 123,
"price": {
"native": "123.456789",
"usd": "123.456789"
},
"priceAt": 123
},
"chain": "solana",
"createdAt": 123,
"creator": "<string>",
"decimals": 1,
"devFunding": {
"status": "unresolved",
"address": "<string>",
"sourceKind": "cex",
"sourceLabel": "<string>"
},
"dexes": [
"pumpswap",
"raydium"
],
"holders": {
"bundlerCount": 1,
"bundlerPct": "123.456789",
"count": 1,
"devPct": "123.456789",
"fomoCount": 1,
"fomoPct": "123.456789",
"freshWalletCount": 1,
"freshWalletPct": "123.456789",
"fundedByCexPct": "123.456789",
"insiderCount": 1,
"insiderPct": "123.456789",
"phishingCount": 1,
"phishingPct": "123.456789",
"proTraderCount": 1,
"proTraderPct": "123.456789",
"sniperCount": 1,
"sniperPct": "123.456789",
"top10Pct": "123.456789"
},
"liquidity": {
"native": "123.456789",
"usd": "123.456789"
},
"marketCap": {
"native": "123.456789",
"usd": "123.456789"
},
"metadata": {
"twitterReuseCount": 1,
"description": "<string>",
"discord": "<string>",
"telegram": "<string>",
"twitter": "<string>",
"website": "<string>"
},
"name": "<string>",
"price": {
"native": "123.456789",
"usd": "123.456789"
},
"security": {
"mintDisabled": true,
"rugPct": "123.456789",
"transferBlockable": true,
"lpBurntPct": "123.456789",
"transferFeeBps": 250
},
"stats": {
"1h": {
"buyCount": 1,
"buyVolume": {
"native": "123.456789",
"usd": "123.456789"
},
"priceChangePct": "123.456789",
"sellCount": 1,
"sellVolume": {
"native": "123.456789",
"usd": "123.456789"
},
"volume": {
"native": "123.456789",
"usd": "123.456789"
}
},
"24h": {
"buyCount": 1,
"buyVolume": {
"native": "123.456789",
"usd": "123.456789"
},
"priceChangePct": "123.456789",
"sellCount": 1,
"sellVolume": {
"native": "123.456789",
"usd": "123.456789"
},
"volume": {
"native": "123.456789",
"usd": "123.456789"
}
},
"30m": {
"buyCount": 1,
"buyVolume": {
"native": "123.456789",
"usd": "123.456789"
},
"priceChangePct": "123.456789",
"sellCount": 1,
"sellVolume": {
"native": "123.456789",
"usd": "123.456789"
},
"volume": {
"native": "123.456789",
"usd": "123.456789"
}
},
"5m": {
"buyCount": 1,
"buyVolume": {
"native": "123.456789",
"usd": "123.456789"
},
"priceChangePct": "123.456789",
"sellCount": 1,
"sellVolume": {
"native": "123.456789",
"usd": "123.456789"
},
"volume": {
"native": "123.456789",
"usd": "123.456789"
}
},
"6h": {
"buyCount": 1,
"buyVolume": {
"native": "123.456789",
"usd": "123.456789"
},
"priceChangePct": "123.456789",
"sellCount": 1,
"sellVolume": {
"native": "123.456789",
"usd": "123.456789"
},
"volume": {
"native": "123.456789",
"usd": "123.456789"
}
}
},
"supply": "123.456789",
"symbol": "<string>",
"totals": {
"fees": {
"platform": {
"native": "123.456789",
"usd": "123.456789"
},
"transaction": {
"native": "123.456789",
"usd": "123.456789"
},
"validator": {
"native": "123.456789",
"usd": "123.456789"
},
"dex": {
"native": "123.456789",
"usd": "123.456789"
}
},
"volume": {
"native": "123.456789",
"usd": "123.456789"
}
},
"updatedAt": 123,
"anchorAddress": "<string>",
"anchorSymbol": "<string>",
"annotations": [
{
"kind": "mayhem_mode"
}
],
"bondingCurvePct": "123.456789",
"graduatedAt": 123,
"graduatedToDex": "<string>",
"graduatedToPool": "<string>",
"launchpad": "<string>",
"platforms": [
{
"platform": "fomo"
}
]
},
"rank": 1
}
]
}
]
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>"
}
}The discovery boards.
One request names the chains and the columns it wants. Each column is ranked and filtered on its own, and answers with its whole ranked set.
Authorizations
Send the API key as Authorization: Bearer <key>.
Body
A discovery request: one or more chains, up to three columns.
Chains every column ranks over, as one mixed set.
Chain slug. One spelling per chain, in paths and bodies alike. Only a chain with spot data is published.
solana, base, bsc, robinhood, arc Graduated column; omitted means not requested.
Show child attributes
Show child attributes
Graduating column; omitted means not requested.
Show child attributes
Show child attributes
New-pairs column; omitted means not requested.
Show child attributes
Show child attributes
Response
One snapshot per requested column, in page order.
POST /v1/discovery response: one snapshot per requested column, in page order.
The requested columns' snapshots.
Show child attributes
Show child attributes